<!DOCTYPE html>
<html>
  <head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>

  <title>Inmetrics</title>

  <link rel="icon" href="https://reportbuilder.rajatthareja.com/rb.ico">
  <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
  <link href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css" rel="stylesheet">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.100.2/css/materialize.min.css" media="screen,projection"/>
  <link href="https://cdn.rawgit.com/rajatthareja/ReportBuilder/v1.9/css/report.builder.min.css" rel="stylesheet">

  
      
          <style type="text/css">
            features\support\css_report_builder.css
          </style>
      
  
</head>

  <body>
    <script type="text/javascript" src="https://code.jquery.com/jquery-3.2.1.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.100.2/js/materialize.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.0/Chart.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>

<header class="grey lighten-5">
  <div class="row grey lighten-1">
    <div class="col m6 hide-on-small-only">
      <h5 class="truncate white-text tooltipped" data-tooltip="Inmetrics">Inmetrics</h5>
    </div>

    <div class="col m6 s12 grey lighten-1">
      <ul class="tabs grey lighten-1 row" style="overflow-x: hidden">
        <li class="tab col s3">
          <a class="grey lighten-3 active blue-text waves-effect waves-light tooltipped" data-tooltip="Results Overview" href="#overview"><i class="material-icons">assessment</i> Overview</a>
        </li>
        <li class="tab col s3">
          <a class="grey lighten-3 white-text waves-effect waves-light tooltipped" data-tooltip="Scenarios by Features" href="#features"><i class="material-icons">view_headline</i> Features</a>
        </li>
        <li class="tab col s3">
          <a class="grey lighten-3 white-text waves-effect waves-light tooltipped" data-tooltip="Scenarios Summary Table" href="#summary"><i class="material-icons">view_comfy</i> Summary</a>
        </li>
        <li class="tab col s3">
          <a class="grey lighten-3 white-text waves-effect waves-light tooltipped" data-tooltip="Failed Scenarios" href="#errors"><i class="material-icons">bug_report</i> Errors</a>
        </li>
      </ul>
    </div>
  </div>
</header>


    

    
    

    
    
        
        <div id="g0f0s0" class="modal modal-fixed-footer">
  <div class="modal-content">

    
        
            <div class="chip"><i class="material-icons rotate-45">label</i>@cadastro</div>
        
            <div class="chip"><i class="material-icons rotate-45">label</i>@completo</div>
        
            <div class="chip"><i class="material-icons rotate-45">label</i>@cadastro_user</div>
        
    

    <h5>Realizar cadastro na aplicação (50.237s)</h5>
    features/specs/cadastro/cadastro.feature:14

    
        
            





        
            





        
    

    <ul class="collection stepList">
      
          <li class="collection-item step passed">
  

  <b>Dado </b> que acesse a página de login (Contexto) (46.169s)

  

  

  
  
  






  
      
          
    
        <pre>no such window: target window already closed
from unknown error: web view not found
  (Session info: chrome=91.0.4472.106)</pre>
    






      
  
</li>

      
          <li class="collection-item step failed">
  

  <b>E </b> acessar a página de cadastro (Contexto) (0.014s)

  

  

  
  
  


    
    
    
    <pre>no such window: target window already closed
from unknown error: web view not found
  (Session info: chrome=91.0.4472.106) (Selenium::WebDriver::Error::NoSuchWindowError)
Backtrace:
	Ordinal0 [0x00753733+2504499]
	Ordinal0 [0x006EC401+2081793]
	Ordinal0 [0x005F2628+1058344]
	Ordinal0 [0x005DBF86+966534]
	Ordinal0 [0x00637B59+1342297]
	Ordinal0 [0x00644392+1393554]
	Ordinal0 [0x00635D4B+1334603]
	Ordinal0 [0x006122B4+1188532]
	Ordinal0 [0x00613149+1192265]
	GetHandleVerifier [0x008CFB8C+1512252]
	GetHandleVerifier [0x0097B0DF+2214031]
	GetHandleVerifier [0x007D4BC3+484211]
	GetHandleVerifier [0x007D3E69+480793]
	Ordinal0 [0x006F218D+2105741]
	Ordinal0 [0x006F66E8+2123496]
	Ordinal0 [0x006F6827+2123815]
	Ordinal0 [0x006FFB73+2161523]
	BaseThreadInitThunk [0x76CDFA29+25]
	RtlGetAppContainerNamedObjectPath [0x779F7A7E+286]
	RtlGetAppContainerNamedObjectPath [0x779F7A4E+238]
./features/page_objects/page_inmetrics/login/login.rb:14:in `acessar_page_cadastro&#39;
./features/step_definitions/login/login.rb:7:in `&quot;acessar a página de cadastro&quot;&#39;
features/specs/cadastro/cadastro.feature:11:in `E acessar a página de cadastro&#39;</pre>





  
      
          





      
  
</li>

      
          <li class="collection-item step skipped">
  

  <b>Quando </b> realizar o cadastro (0.000s)

  

  

  
  
  






  
      
          





      
  
</li>

      
          <li class="collection-item step skipped">
  

  <b>Então </b> deverá redirecionar para a página de login (0.000s)

  

  

  
  
  






  
      
          





      
  
</li>

      
    </ul>

    
        
            


    
    
    
    <pre>chrome not reachable
  (Session info: chrome=91.0.4472.106) (Selenium::WebDriver::Error::WebDriverError)
Backtrace:
	Ordinal0 [0x00753733+2504499]
	Ordinal0 [0x006EC401+2081793]
	Ordinal0 [0x005F24F0+1058032]
	Ordinal0 [0x005E7584+1013124]
	Ordinal0 [0x005DBC10+965648]
	Ordinal0 [0x0063BF8E+1359758]
	Ordinal0 [0x00635E57+1334871]
	Ordinal0 [0x006122B4+1188532]
	Ordinal0 [0x00613149+1192265]
	GetHandleVerifier [0x008CFB8C+1512252]
	GetHandleVerifier [0x0097B0DF+2214031]
	GetHandleVerifier [0x007D4BC3+484211]
	GetHandleVerifier [0x007D3E69+480793]
	Ordinal0 [0x006F218D+2105741]
	Ordinal0 [0x006F66E8+2123496]
	Ordinal0 [0x006F6827+2123815]
	Ordinal0 [0x006FFB73+2161523]
	BaseThreadInitThunk [0x76CDFA29+25]
	RtlGetAppContainerNamedObjectPath [0x779F7A7E+286]
	RtlGetAppContainerNamedObjectPath [0x779F7A4E+238]</pre>




        
    
  </div>

  <div class="modal-footer">
    <span class="modal-action modal-close waves-effect waves-green btn-flat"><i class="material-icons">close</i></span>
  </div>
</div>

    


<script type="text/javascript">
    $(document).ready(function () {
        
        $('#g0f0s0').modal();
        
        $('#g0f0s1').modal();
        
    });
</script>


    <main class="grey lighten-5">
      <div class="row">

        <div id="overview" class="col s12 grey lighten-5">
          <div class="row">
  <div class="col m4 s12">
    <canvas id="featuresDoughnut" width="400" height="400"></canvas>
    <table id="metaDataFeatures" class="bordered">
      <tbody></tbody>
    </table>
  </div>

  <div class="col m4 s12">
    <canvas id="scenariosDoughnut" width="400" height="400"></canvas>
    <table id="metaDataScenarios" class="bordered">
      <tbody></tbody>
    </table>
  </div>

  <div class="col m4 s12">
    <table id="metaData" class="bordered">
      <tbody>
      <tr><th>Total Time</th><td>50.237s</td></tr>
      
          <tr>
            <th>URL</th>
            <td>https://inm-test-app.herokuapp.com/accounts/login</td>
          </tr>
      
          <tr>
            <th>Projeto</th>
            <td>Inmetrics</td>
          </tr>
      
      </tbody>
    </table>
  </div>
</div>

        </div>

        <div id="features" class="col s12 grey lighten-5 white-text">
          <ul class="featureList collapsible popout" data-collapsible="expandable">
  
      
      <li class="feature broken">
  <div class="collapsible-header grey lighten-1 waves-effect waves-light">
    <i class="material-icons">featured_play_list</i>
    <b>Funcionalidade</b>&nbsp;Cadastro&nbsp;(50.237s)
  </div>

  <div class="collapsible-body grey lighten-4">
    <div class="collection scenarioList grey">
      
        <a class="collection-item scenario modal-trigger waves-effect waves-light white-text failed" href="#g0f0s0">
          <b>Cenário</b> Realizar cadastro na aplicação&nbsp;(50.237s)
        </a>
      
    </div>
  </div>
</li>

  
</ul>

        </div>

        <div id="summary" class="col s12 grey lighten-5">
          <table id="summaryTable" class="bordered grey lighten-1 white-text" width="100%">
  <thead>
  <tr>
    <th class="hide-on-small-only">Feature</th>
    <th>Scenario</th>
    <th class="hide">Tags</th>
    <th>Status</th>


    

    <th class="hide-on-small-only">Error</th>
  </tr>
  </thead>
  <tbody>
  
      
          
          <tr class="failed">
            <td class="hide-on-small-only">
  Cadastro
</td>

<td class="hoverable modal-trigger white-text" data-target="g0f0s0">
  Realizar cadastro na aplicação
</td>

<td class="hide">
  
      
          @cadastro. 
      
          @completo. 
      
          @cadastro_user. 
      
  
</td>

<td class="uppercase">
  failed
</td>



<td class="hide-on-small-only">
  
      chrome not reachable
  
</td>

          </tr>
      
  
  </tbody>
</table>

        </div>

        <div id="errors" class="col s12 grey lighten-5">
          <ul class="errorList collapsible popout" data-collapsible="expandable">
  
      <li class="error">
  <div class="collapsible-header red lighten-2 white-text waves-effect waves-light">
    <i class="material-icons">bug_report</i>no such window: target window already closed
  </div>

  <div class="collapsible-body grey lighten-4">
    <div class="collection failedScenarioList">
      
          
              
                  
              
          
      
    </div>
  </div>
</li>

  
      <li class="error">
  <div class="collapsible-header red lighten-2 white-text waves-effect waves-light">
    <i class="material-icons">bug_report</i>chrome not reachable
  </div>

  <div class="collapsible-body grey lighten-4">
    <div class="collection failedScenarioList">
      
          
              
                  
                      <a class="collection-item failedScenario grey lighten-5 red-text modal-trigger waves-effect waves-light" href="#g0f0s0">
                        <i class="material-icons">highlight_off</i>&nbsp;Realizar cadastro na aplicação
                      </a>
                  
              
          
      
    </div>
  </div>
</li>

  
</ul>

        </div>
      </div>
    </main>

    <footer class="page-footer grey lighten-4">
  <div class="footer-copyright grey lighten-1">
    <div class="container">
      Happy Reporting!
      <a class="white-text text-lighten-4 right" href="https://reportbuilder.rajatthareja.com">Generated by Report Builder</a>
    </div>
  </div>
</footer>

<script type="text/javascript" src="https://cdn.rawgit.com/rajatthareja/ReportBuilder/v1.9/js/report.builder.min.js"></script>





  </body>
</html>
